summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorChris Pritchard <chris@christopherpritchard.co.uk>2023-07-05 00:01:24 +0100
committerMichał Górny <mgorny@gentoo.org>2023-07-05 08:19:04 +0200
commit7f54de2508fd57a8f31b5dc61b970448ab22c20d (patch)
tree902b4a617d6009f3d9d1469df3099d7c698e1e2e /eclass
parentapp-containers/lxd: update HOMEPAGE (diff)
downloadgentoo-7f54de2508fd57a8f31b5dc61b970448ab22c20d.tar.gz
gentoo-7f54de2508fd57a8f31b5dc61b970448ab22c20d.tar.bz2
gentoo-7f54de2508fd57a8f31b5dc61b970448ab22c20d.zip
dist-kernel-utils.eclass: fix user script overrides
Closes: https://bugs.gentoo.org/909538 Signed-off-by: Chris Pritchard <chris@christopherpritchard.co.uk> Closes: https://github.com/gentoo/gentoo/pull/31745 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/dist-kernel-utils.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/dist-kernel-utils.eclass b/eclass/dist-kernel-utils.eclass
index cfb6f40ac6fa..1ef3104245c6 100644
--- a/eclass/dist-kernel-utils.eclass
+++ b/eclass/dist-kernel-utils.eclass
@@ -110,14 +110,14 @@ dist-kernel_install_kernel() {
# https://github.com/dracutdevs/dracut/pull/2405
shopt -s nullglob
local plugins=()
+ for file in "${EROOT}"/etc/kernel/install.d/*.install; do
+ plugins+=( "${file}" )
+ done
for file in "${EROOT}"/usr/lib/kernel/install.d/*.install; do
- if ! has "${file##*/}" 50-dracut.install 51-dracut-rescue.install; then
+ if ! has "${file##*/}" 50-dracut.install 51-dracut-rescue.install "${plugins[@]##*/}"; then
plugins+=( "${file}" )
fi
done
- for file in "${EROOT}"/etc/kernel/install.d/*.install; do
- plugins+=( "${file}" )
- done
shopt -u nullglob
export KERNEL_INSTALL_PLUGINS="${KERNEL_INSTALL_PLUGINS} ${plugins[@]}"
fi